<id>
Random News Mod
</id>

<version>
1.0
</version>

<mod info>
This mod randomises the News Display.
On every reload of the page, News Fader starts with a random news and displays in random order.
The shuffle script itself belongs to fisher Yates.
</mod info>

<author>
CLAN Admin Aug 04, 2002
</author>

<homepage>
clan.cyaccess.com
</homepage>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
fopen(FILE, "$vardir/news.txt");
@newsmessages = <FILE>;
fclose(FILE);
</search for>

<add after>
	
# randomizing	
    sub fisher_yates_shuffle {
        my $deck = shift;  # $deck is a reference to an array
        my $i = @$deck;
        while ($i--) {
            my $j = int rand ($i+1);
            @$deck[$i,$j] = @$deck[$j,$i];
        }
    }

    # shuffle newsmassages
    fisher_yates_shuffle( \@newsmessages );   

</add after>